summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorDave Reisner <d@falconindy.com>2011-03-24 15:10:05 +0100
committerDan McGee <dan@archlinux.org>2011-03-28 03:15:20 +0200
commitc02556e2905dc1801d751db8cc3e96ccbedb76ab (patch)
treea5c31103177257b092cf967c3a0e1da001b70df4 /test
parenta9fb4d9d5b065560f7e42378ad1ee3d2f7b19911 (diff)
downloadpacman-c02556e2905dc1801d751db8cc3e96ccbedb76ab.tar.gz
pacman-c02556e2905dc1801d751db8cc3e96ccbedb76ab.tar.xz
Rely on the return value of type instead of its output
Signed-off-by: Dave Reisner <d@falconindy.com> Signed-off-by: Dan McGee <dan@archlinux.org>
Diffstat (limited to 'test')
-rwxr-xr-xtest/util/vercmptest.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/util/vercmptest.sh b/test/util/vercmptest.sh
index a9ed3b2a..0e799789 100755
--- a/test/util/vercmptest.sh
+++ b/test/util/vercmptest.sh
@@ -62,7 +62,7 @@ runtest() {
# use first arg as our binary if specified
[ -n "$1" ] && bin="$1"
-if [ ! $(type -p "$bin") ]; then
+if ! type -p "$bin"; then
echo "vercmp binary ($bin) could not be located"
exit 1
fi